神刀安全网

Pod operation not permitted

前言

最近突然调用pod search命令都是出问题,提示找不到方法什么的。于是笔者猜想这是pod版本的问题。因为上一次我手贱执行了安装beta版本的pod,导致现在老出问题。

于是我想尝试更新一下pod的版本到最新,可是出现了这样的提示:

  [huangyibiao@huangyibiaodeMacBook-Pro ~] $ sudogeminstallcocoapods ERROR:  While executinggem ... (Errno::EPERM)     Operation notpermitted - /usr/bin/pod   

尝试了多次还是一样。这有这可能是因为beta版本的原因。于是想起之前升级的时候pod所提示的命令pre,可以升级、安装beta版本。

解决办法

  [huangyibiao@huangyibiaodeMacBook-Pro ~] $ sudogeminstall -n /usr/local/bincocoapods --pre   

执行上面的命令就可以升级到最新的beta版本。于是安装竟然真的成功了!看下面的执行过程:

  Fetching: cocoapods-core-1.0.0.beta.4.gem (100%) Successfully installedcocoapods-core-1.0.0.beta.4 Fetching: molinillo-0.4.4.gem (100%) Successfully installedmolinillo-0.4.4 Fetching: xcodeproj-1.0.0.beta.3.gem (100%) Successfully installedxcodeproj-1.0.0.beta.3 Fetching: cocoapods-1.0.0.beta.4.gem (100%) Successfully installedcocoapods-1.0.0.beta.4 Parsing documentationforcocoapods-core-1.0.0.beta.4 Installing ridocumentationforcocoapods-core-1.0.0.beta.4 Parsing documentationformolinillo-0.4.4 Installing ridocumentationformolinillo-0.4.4 Parsing documentationforxcodeproj-1.0.0.beta.3 Installing ridocumentationforxcodeproj-1.0.0.beta.3 Parsing documentationforcocoapods-1.0.0.beta.4 Installing ridocumentationforcocoapods-1.0.0.beta.4 4 gemsinstalled   

看到了吧,都是beta版本的,需要使用pre指定,不然总是提示权限问题。

结尾

以后手不能太贱了,不然就得折腾自己了!

关注我

联系方式 关注 备注
标哥博客iOS交流群 324400294(满)|494669518(满)|494669518(满)|250351140(新) 群里很活跃,定期清理
微信公众号 iOSDevShares 关注公众号阅读好文章
新浪微博 @标哥的技术博客 关注微博动态
GITHUB CoderJackyHuang 文章Demo都在GITHUB
联系标哥 关于标哥 保持活跃在最前线

版权声明:本文为【标哥的技术博客】原创出品,欢迎转载,转载时请注明出处!

Pod operation not permitted Pod operation not permitted Pod operation not permitted

转载本站任何文章请注明:转载至神刀安全网,谢谢神刀安全网 » Pod operation not permitted

分享到:更多 ()

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
分享按钮